Subject: Re: gitweb, FastCGI and PSGI/Plack

From: Jakub Narebski <[email-masked]>
Date: Mon, 10 May 2010 20:40:33 +0200

On Mon, 10 May 2010, Tatsuhiko Miyagawa wrote:

> Yes, that makes sense - if implementing FastCGI is just switching CGI
> to CGI::Fast and a while loop, implementing PSGI interface just for
> that is far more complicated. I just argued about it because I saw on
> a separate thread that PSGI implementation is also on its way.

What!?  No, currently there are no plans to add PSGI support to gitweb,
nor moving gitweb from CGI (and mod_perl's ModPerl::Registry, and
FastCGI now) to PSGI.

This separate thread is about adding support for 'plackup' to
git-instaweb (and perhaps also adding gitweb.psgi wrapper).

>>From git-instaweb manpage:

  NAME
       git-instaweb - Instantly browse your working repository in gitweb

  SYNOPSIS
       git instaweb [--local] [--httpd=<httpd>] [--port=<port>]
                    [--browser=<browser>]
       git instaweb [--start] [--stop] [--restart]

  DESCRIPTION
       A simple script to set up gitweb and a web server for browsing the local
       repository.

  OPTIONS
       -d, --httpd
              The HTTP daemon command-line that  will  be  executed.  Command-line
              options  may  be  specified here, and the configuration file will be
              added at the end of the command-line. Currently  apache2,  lighttpd,
              mongoose and webrick are supported. (Default: lighttpd)

I wanted to add support for '--httpd=plackup', see the following thread
on git mailing list:

  "Adding support for "plackup" and similar web server tools to git-instaweb"
  Message-ID: <[email-masked]>
  http://thread.gmane.org/gmane.comp.version-control.git/146124

*Not* moving gitweb to PSGI/Plack.

-- 
Jakub Narebski
Poland